Bug 178718 - Missing spaces inside {} by default
Missing spaces inside {} by default
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Editor
6.x
PC Windows XP
: P3 (vote)
: 6.x
Assigned To: Anton Chechel
issues@javafx
68patch1-verified
:
Depends on:
Blocks: 173487
  Show dependency treegraph
 
Reported: 2009-12-16 02:47 UTC by Alexandr Scherbatiy
Modified: 2010-01-25 06:43 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr Scherbatiy 2009-12-16 02:47:58 UTC
NetBeans-JavaFX-Soma: #67
  Product Version         = NetBeans IDE 6.8 (Build 200912041610) (#ec9be6a6486c)
  Operating System        = Windows XP version 5.1 running on x86
  Java; VM; Vendor        = 1.6.0_15; Java HotSpot(TM) Client VM 14.1-b02; Sun Microsystems Inc.


Steps to reproduce:

- Format the code from page 
http://wikis.sun.com/display/JavaFxCodeConv/Home
-------------------------------------------------
Point2D { x: 100, y: 100 }
-------------------------------------------------

The result is: Point2D {x: 100, y: 100} // Missing spaces inside {}
Comment 1 Anton Chechel 2009-12-16 09:40:20 UTC
It is controlled in formatter settings.
Comment 2 Alexandr Scherbatiy 2009-12-17 02:26:23 UTC
Default formatter settings should insert spaces into {}.
See http://wikis.sun.com/display/JavaFxCodeConv/Home
Comment 3 Anton Chechel 2009-12-22 09:09:46 UTC
fixed
http://hg.netbeans.org/javafx/rev/80ca45f00d1d
Comment 4 Alexandr Scherbatiy 2010-01-12 07:22:40 UTC
verified in NetBeans-JavaFX-Soma: #93
Comment 5 Petr Suchomel 2010-01-15 03:50:56 UTC
Fixed in release68_fixes
http://hg.netbeans.org/javafx/rev/73312db0d7da
Comment 6 Lukas Hasik 2010-01-25 06:43:54 UTC
Verified in NB 6.8 patch1 - build 201001250341


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo